"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCaptureDetection = void 0;
var _react = require("react");
var _modules = require("./modules");
var _type = require("./type");
const useCaptureDetection = () => {
  const [status, setStatus] = (0, _react.useState)(_type.CaptureEventType.NONE);
  const [protectionStatus, setProtectionStatus] = (0, _react.useState)({
    screenshot: false,
    record: false,
    appSwitcher: false
  });
  (0, _react.useEffect)(() => {
    const listener = _modules.CaptureProtection.addListener(eventType => {
      if (eventType < _type.CaptureEventType.ALLOW) {
        setStatus(eventType);
      } else if (eventType === _type.CaptureEventType.ALLOW) {
        setProtectionStatus(_ => ({
          screenshot: false,
          record: false,
          appSwitcher: false
        }));
      } else if (eventType > _type.CaptureEventType.ALLOW) {
        setProtectionStatus(prev => ({
          ...prev,
          screenshot: !!(eventType & _type.CaptureEventType.PREVENT_SCREEN_CAPTURE),
          record: !!(eventType & _type.CaptureEventType.PREVENT_SCREEN_RECORDING),
          appSwitcher: !!(eventType & _type.CaptureEventType.PREVENT_SCREEN_APP_SWITCHING)
        }));
      }
    });
    return () => {
      var _listener$remove;
      listener === null || listener === void 0 || (_listener$remove = listener.remove) === null || _listener$remove === void 0 || _listener$remove.call(listener);
    };
  }, []);
  return {
    status,
    protectionStatus
  };
};
exports.useCaptureDetection = useCaptureDetection;
//# sourceMappingURL=hooks.js.map