"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCaptureProtection = exports.CaptureProtectionProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _hooks = require("./hooks");
var _modules = require("./modules");
var _type = require("./type");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
const CaptureProtectionContext = /*#__PURE__*/(0, _react.createContext)({
  protectionStatus: {
    screenshot: false,
    record: false,
    appSwitcher: false
  },
  status: _type.CaptureEventType.NONE,
  prevent: async () => undefined,
  allow: async () => undefined
});
const CaptureProtectionProvider = ({
  children
}) => {
  const {
    protectionStatus,
    status
  } = (0, _hooks.useCaptureDetection)();
  const prevent = async option => {
    _modules.CaptureProtection.prevent(option);
  };
  const allow = async allowOption => {
    _modules.CaptureProtection.allow(allowOption);
  };
  return /*#__PURE__*/_react.default.createElement(CaptureProtectionContext.Provider, {
    value: {
      protectionStatus,
      status,
      prevent,
      allow
    }
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children));
};
exports.CaptureProtectionProvider = CaptureProtectionProvider;
const useCaptureProtection = () => (0, _react.useContext)(CaptureProtectionContext);
exports.useCaptureProtection = useCaptureProtection;
//# sourceMappingURL=providers.js.map