import React, { createContext, useContext } from 'react';
import { useCaptureDetection } from './hooks';
import { CaptureProtection } from './modules';
import { CaptureEventType } from './type';
const CaptureProtectionContext = /*#__PURE__*/createContext({
  protectionStatus: {
    screenshot: false,
    record: false,
    appSwitcher: false
  },
  status: CaptureEventType.NONE,
  prevent: async () => undefined,
  allow: async () => undefined
});
const CaptureProtectionProvider = ({
  children
}) => {
  const {
    protectionStatus,
    status
  } = useCaptureDetection();
  const prevent = async option => {
    CaptureProtection.prevent(option);
  };
  const allow = async allowOption => {
    CaptureProtection.allow(allowOption);
  };
  return /*#__PURE__*/React.createElement(CaptureProtectionContext.Provider, {
    value: {
      protectionStatus,
      status,
      prevent,
      allow
    }
  }, /*#__PURE__*/React.createElement(React.Fragment, null, children));
};
const useCaptureProtection = () => useContext(CaptureProtectionContext);
export { CaptureProtectionProvider, useCaptureProtection };
//# sourceMappingURL=providers.js.map